WordPress 提示”在裁剪您的图像时发生了错误”解决方案

Sniper-01 分类:使用问题

WordPress 提示"在裁剪您的图像时发生了错误"解决方案

回复

共1条回复 我来回复
  • 吴迦诺
    吴迦诺
    这个人很懒,什么都没有留下~
    评论

    在新建个人博客后,强迫症犯了想修改图片,遇到的

    第一个问题就是上传了图片显示权限不足无法保存:解决方案:

    —————–以下为代码———-

    cd 进入wordpress文件夹(根目录)
    chmod 修改 wp-content 的权限为777

    —————-以上为代码——–

    具体的代码为:

    ———以下为代码——

    cd /usr/share/nginx/html/wordpress/
    chmod -R 777 wp-content/

    ———–以上为代码——-

    第二个问题就是上传成功,然后应用时需要修改,提示在裁剪您的图像时发生了错误:解决方案

    yum install php72w-gd

     

    对,就这一行,当你搜其他教程要求

    告诉你原因是:
    缺少 PHP GD 库
    然后给出教程
    Ubuntu下运行:
    sudo apt-get install php5-gd
    或者
    sudo apt-get install php7.0-gd
    CentOS下运行:
    yum install php-gd

     

    但是当你输入后发现提示报错,

    Error: php72w-common conflicts with php-common-5.4.16-46.1.el7_7.x86_64
    You could try using –skip-broken to work around the problem

     

    然后修改命令行

    yum install php-gd –skip-broken

     

    结果还是有问题,那么问题出在哪呢?很简单,看这两行命令行

    yum install php72w-gd
    ##用于php7以上版本
    yum install php-gd
    ##用于php5的版本,所以安装时会和之前安装的php7有冲突

     

    但是,wordpress现在是支持php7以上的版本,所以还是用我的命令行就行了。

    1个月前 0条评论
WordPress 提示"在裁剪您的图像时发生了错误"解决方案
交流群